Subject: Re: tcsh broken? WAS Re: Running tcsh in rxvt
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 14 Sep 2001 04:50:12 +0200

Jerrad Pierce schrieb am 2001-09-13, 18:27:

>Now I have another problem; tcsh seems to be broken
>I set /etc/csh.login to:
>  echo "Global csh initialization"
>  if (! $?HOME ) setenv HOME "/home/$USER"
>
>The straight NT port of tcsh picks it up however the cygwin tcsh does not;
>I get no echo and no $HOME. This would appaear to be a known issue:
>     http://sources.redhat.com/ml/cygwin/2001-04/msg00516.html
>It seems kind of bogus that the shell will set the username for you but not
>your home...
>
>So I was thinking this might be reasonable
>   bash --login -c "exec rxvt -e /bin/tcsh -l"
>However bash *still* seems to hang around!

Why do you need bash?

I use this shortcut now (all in one line):
H:\bin\rxvt.exe -geometry 90x30 -bg black -fg grey -cr red -sr 
  -sl 1000 -fn "Lucida Console-14" -tn rxvt -ls -e /usr/bin/tcsh -l

And after clicking it a rxvt window comes up and shows this:

Global csh initialization
> 

My HOME is set systemwide for me, as Corinna said to do it.
My startupfile is ~/.tcshrc
It includes the one line you used as demo:
echo "Global csh initialization"

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/